'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var catchAsync = function catchAsync(fn) {
  return function (req, res, next) {
    Promise.resolve(fn(req, res, next))["catch"](function (err) {
      return next(err);
    });
  };
};
var asyncHandle = function asyncHandle(fn) {
  Promise.resolve(fn(arguments))["catch"](function () {
    return 'err';
  });
};

exports.asyncHandle = asyncHandle;
exports.catchAsync = catchAsync;
//# sourceMappingURL=async-handler-express.cjs.development.js.map
